Page MenuHomePhabricator

Phabricator is auto claiming tasks when closing as resolved (again)
Open, LowestPublic

Description

This was discussed previously T84833: When you close an unassigned task as "Resolved" from the Comment action, Phabricator thinks you want to claim the task and I have memory this was changed so closing tasks when un-assigned didn't claim to the closer but Phabricator is doing it again.

Event Timeline

Restricted Application added subscribers: TerraCodes, Aklapper. · View Herald TranscriptMay 1 2016, 12:32 PM

@Peachey88 do you know where it is happening please.

Peachey88 added a comment.EditedMay 1 2016, 12:56 PM

https://phabricator.wikimedia.org/T134098#2254616 is the most recent, I have seen it elsewhere.

Thanks, doesn't look like it is todo with importing refs/changes/ seems to be related to when you included the task id in irc in !log.

Peachey88 renamed this task from Phabricator is auto claiming tasks when resolved (again) to Phabricator is auto claiming tasks when closing as resolved (again).May 1 2016, 1:08 PM
Aklapper triaged this task as Low priority.May 1 2016, 2:12 PM

In https://phabricator.wikimedia.org/config/edit/maniphest.statuses/, "claim": false is currently only set for the statuses INVALID and DUPLICATE.

mmodell added a subscriber: mmodell.May 2 2016, 2:46 PM

This only happens if the task is un-owned when you close it. What is the use-case for closing tasks but leaving them owned by nobody? That makes it difficult to search for tasks closed by a given user.

Zppix added a subscriber: Zppix.May 2 2016, 2:52 PM

@mmodell if so it should be changed due to resolved tasks don't need to be assigned in theory since they are completed (hopefully).

What is the use-case for closing tasks but leaving them owned by nobody? That makes it difficult to search for tasks closed by a given user.

When signing-off on a task! Work has been done and no-one owns the task anymore.

Unlike before, you can override it by also adding a "Claim" action and emptying the field, and the preview shows exactly what will happen. I don't mind the current behavior myself.

matmarex removed a subscriber: matmarex.Jul 27 2016, 3:21 AM
Aklapper lowered the priority of this task from Low to Lowest.Jul 27 2016, 6:20 AM